﻿import cmdlib
import es
import os

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_create_admin", create_admin, "Server Command")

# ******************** Commands ********************
def create_admin(args):
	if os.path.isfile("cstrike/cfg/soccer_mod/es_soccer_mod_admins_db.txt") != True:
		if es.exists("keygroup", "soccer_mod_admins") == 0:
			es.keygroupcreate("soccer_mod_admins")

		steamid = "%s%s%s%s%s" % (args[0], args[1], args[2], args[3], args[4])

		name = ""
		for i in range(5, len(args)):
			if i != len(args):
				name += args[i]
				name += " "
			else:
				name += args[i]

		if es.exists("key", "soccer_mod_admins", steamid) == 0:
			es.keycreate("soccer_mod_admins", steamid)

		es.keysetvalue("soccer_mod_admins", steamid, "name", name)

		access = ["match", "cap", "referee", "training", "skins", "change_map", "settings", "manager"]
		for i in range(0, len(access)):
			es.keysetvalue("soccer_mod_admins", steamid, access[i], 1)

		es.keygroupsave("soccer_mod_admins", "soccer_mod")

		es.msg("#green", "Admin %s added with steamid %s." % (name, steamid))
	else:
		es.msg("#green", "Add all the other admins with the manager in the admin menu.")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_create_admin")