﻿import es
import langlib
import popuplib
import usermsg

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2011/language/"

popup_common = langlib.Strings(lang_dir + "popup_common.ini")
popup_text = langlib.Strings(lang_dir + "info/popup_info_help.ini")

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_info_help")

	popup.addline(popup_text("title"))
	popup.addline(" ")
	popup.addline(popup_text("question"))
	popup.addline(" ")
	popup.addline(popup_text("knife_ball"))
	popup.addline(popup_text("aim_lower"))
	popup.addline(popup_text("stay_formation"))
	popup.addline(popup_text("bind_sprint"))
	popup.addline(" ")
	popup.addline("->1. %s" % popup_text("view_tutorial"))
	popup.addline("->2. %s" % popup_text("stop_tutorial"))
	popup.addline(" ")
	popup.addline("->9. %s" % (popup_common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (popup_common("close")))

	for i in range(1, 3):
		popup.select(i, view_website)

	for i in range(3, 9):
		popup.submenu(i, "sm_popup_info_help")

	popup.submenu(9, "sm_popup_info")

# ******************** Popup choice ********************
def view_website(userid, choice, popupid):
	if choice == 1:
		usermsg.motd(userid, 2, popup_text("tutorial_title"), "http://www.youtube.com/watch?v=j_aHXJJztYA")
	elif choice == 2:
		usermsg.motd(userid, 2, "Soccer Mod 2011", "http://addons.eventscripts.com/addons/view/soccer_mod_2011")

	popuplib.send(popupid, userid)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_help")