﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2011/cfg")

# ******************** Load ********************
def load():
	es.set("sm_training_model_ball", "soccer_mod/ball_2011.mdl")

	cmdlib.registerServerCommand("soccer_mod_training_model_ball", model_ball, "Server Command")

	addon.reg("sm_training_command_spawn", "!spawn", "soccer_mod_2011/modules/training/cmd_spawn")

	cmdlib.registerServerCommand("soccer_mod_training_command_spawn", command_spawn, "Server Command")

# ******************** Commands ********************
def model_ball(args):
	es.set("sm_training_model_ball", args[0])

def command_spawn(args):
	addon.unreg("sm_training_command_spawn")
	addon.reg("sm_training_command_spawn", args[0], "soccer_mod_2011/modules/training/cmd_spawn")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_training_model_ball")
	cmdlib.unregisterServerCommand("soccer_mod_training_command_spawn")

	addon.unreg("sm_training_command_spawn")